Avro C#

Public Member Functions | Static Protected Member Functions | Properties | List of all members
Avro.Message Class Reference

Represents a message in an Avro protocol. More...

## Public Member Functions
| Message (string name, string doc, RecordSchema request, Schema response, UnionSchema error, bool? oneway)
| Constructor for Message class More...
override bool | Equals (Object obj)
| Tests equality of this Message object with the passed object More...
override int | GetHashCode ()
| Returns the hash code of this Message object More...

## Static Protected Member Functions
static bool | areEqual (object o1, object o2)
| Tests equality of two objects taking null values into account More...

## Properties
string | Name`[get, set]`
| Name of the message More...
string | Doc`[get, set]`
| Documentation for the message More...
RecordSchema | Request`[get, set]`
| Anonymous record for the list of parameters for the request fields More...
Schema | Response`[get, set]`
| Schema object for the 'response' attribute More...
UnionSchema | Error`[get, set]`
| Union schema object for the 'error' attribute More...
bool? | Oneway`[get, set]`
| Optional one-way attribute More...
UnionSchema | SupportedErrors`[get, set]`
| Explicitly defined protocol errors plus system added "string" error More...

## Detailed Description

Represents a message in an Avro protocol.

## Constructor & Destructor Documentation

## ◆ Message()

Avro.Message.Message | ( | string | name,
|  | string | doc,
|  | RecordSchema | request,
|  | Schema | response,
|  | UnionSchema | error,
|  | bool? | oneway
| ) |  |
| inline

Constructor for Message class

Parameters

  name | name property
  doc | doc property
  request | list of parameters
  response | response property
  error | error union schema
  oneway | Indicates that this is a one-way message. This may only be true when response is Schema.Type.Null and there are no errors listed.

## Member Function Documentation

## ◆ areEqual()

static bool Avro.Message.areEqual | ( | object | o1,
|  | object | o2
| ) |  |
| inline static protected

Tests equality of two objects taking null values into account

Parameters

  o1 |
  o2 |

Returns

## ◆ Equals()

override bool Avro.Message.Equals | ( | Object | obj | ) |
| inline

Tests equality of this Message object with the passed object

Parameters

  obj |

Returns

## ◆ GetHashCode()

override int Avro.Message.GetHashCode | ( |  | ) |
| inline

Returns the hash code of this Message object

Returns

## Property Documentation

## ◆ Doc

string Avro.Message.Doc
| get set

Documentation for the message

## ◆ Error

UnionSchema Avro.Message.Error
| get set

Union schema object for the 'error' attribute

## ◆ Name

string Avro.Message.Name
| get set

Name of the message

## ◆ Oneway

bool? Avro.Message.Oneway
| get set

Optional one-way attribute

## ◆ Request

RecordSchema Avro.Message.Request
| get set

Anonymous record for the list of parameters for the request fields

## ◆ Response

Schema Avro.Message.Response
| get set

Schema object for the 'response' attribute

## ◆ SupportedErrors

UnionSchema Avro.Message.SupportedErrors
| get set

Explicitly defined protocol errors plus system added "string" error

The documentation for this class was generated from the following file:

- src/apache/main/Protocol/Message.cs